package com.ejie.ab61.exceptions;

import java.util.Locale;

import javax.annotation.Resource;
import javax.xml.ws.WebFault;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.MessageSource;
import org.springframework.context.i18n.LocaleContextHolder;
import org.springframework.context.support.ReloadableResourceBundleMessageSource;
import org.springframework.context.support.ResourceBundleMessageSource;

@WebFault(name = "Ab61Exception", targetNamespace = "http://ab61.exe.webservice/")
public class Ab61Exception extends Exception {

	private Ab61ExceptionGeneral faultInfo = new Ab61ExceptionGeneral();

	public Ab61Exception(String codigo, String mensajeCastellano, String mensajeEuskera) {
		faultInfo.setCodigo(codigo);
		faultInfo.setMensajeCastellano(mensajeCastellano);
		faultInfo.setMensajeEuskera(mensajeEuskera);

	}

	public Ab61ExceptionGeneral getFaultInfo() {
		return faultInfo;
	}

	public void setFaultInfo(Ab61ExceptionGeneral faultInfo) {
		this.faultInfo = faultInfo;
	}

}
